Easy Options
Simplified options trading API
Opens an Easy Option based on a card and investment amount
Body
cardIdinteger · int64Required
investmentAmountnumberRequired
Responses
200
Easy Option opened successfully
*/*
objectOptional
400
Invalid input
*/*
422
Business validation failed
*/*
post/v1/easy-options/open
POST /api/v1/easy-options/open HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 33
{
"cardId": 1,
"investmentAmount": 1
}{}Search easy options with filtering and pagination
Query parameters
Responses
200
Successfully retrieved easy options
*/*
pageinteger · int32Optional
sizeinteger · int32Optional
totalElementsinteger · int64Optional
totalPagesinteger · int32Optional
emptybooleanOptional
numberOfElementsinteger · int32Optional
500
Internal server error
get/v1/easy-options/search
GET /api/v1/easy-options/search?searchDto=[object+Object] HTTP/1.1
Accept: */*
{
"content": [
{
"id": "text",
"accountId": 1,
"cardId": 1,
"type": "UP_DOWN",
"status": "PENDING",
"direction": "UP",
"investmentAmount": 1,
"investmentCurrency": "text",
"targetPrice": 1,
"triggerPrice": 1,
"optionSymbol": "text",
"positionId": "text",
"orderId": "text",
"qty": 1,
"entryPrice": 1,
"openTime": 1,
"closeTime": 1,
"triggerTime": 1,
"cardName": "text",
"fee": 0.5,
"closePrice": 51000,
"pl": 100,
"plClosed": 100
}
],
"page": 1,
"size": 1,
"totalElements": 1,
"totalPages": 1,
"empty": true,
"numberOfElements": 1
}get
Query parameters
Responses
200
OK
*/*
Easy Option Card data transfer object
idinteger · int64OptionalExample:
Card unique identifier
1typestring · enumRequiredExample:
Option type
CALLPossible values: underlyingstring · min: 3 · max: 2147483647RequiredExample:
Underlying asset symbol
BTCUSDTdirectionstring · enumRequiredExample:
Trade direction
BULLISHPossible values: targetPricenumberRequiredExample:
Target price for the option
50000triggerPricenumberOptionalExample:
Trigger price for the option
49000optionSymbolstringOptionalExample:
Option symbol
BTC-250418-50000-CexpiryDatestring · date-timeRequiredExample:
Expiry date in ISO 8601 format
2026-04-18T11:18tradingIdeastring · max: 255OptionalExample:
Trading idea or rationale
BTC is expected to rally after halvingautoGeneratedbooleanOptionalExample:
Whether the card was auto-generated
falseactivebooleanOptionalExample:
Whether the card is active
truetitlestring · max: 100RequiredExample:
Card title
BTC Bull Rundescriptionstring · max: 255OptionalExample:
Card description
Bitcoin expected to break resistance at 50kcurrentAskPricenumberOptionalExample:
Current ask price for the option
1200.5currentOptionSymbolstringOptionalExample:
Current option symbol being traded
BTC-250418-50000-Cget/v1/easy-options/list
GET /api/v1/easy-options/list?searchDto=[object+Object] HTTP/1.1
Accept: */*
200
OK
[
{
"id": 1,
"type": "CALL",
"underlying": "BTCUSDT",
"direction": "BULLISH",
"targetPrice": 50000,
"triggerPrice": 49000,
"optionSymbol": "BTC-250418-50000-C",
"expiryDate": "2026-04-18T11:18",
"tradingIdea": "BTC is expected to rally after halving",
"autoGenerated": false,
"active": true,
"title": "BTC Bull Run",
"description": "Bitcoin expected to break resistance at 50k",
"currentAskPrice": 1200.5,
"currentOptionSymbol": "BTC-250418-50000-C"
}
]Last updated

